unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, ExtCtrls, EFiCrpto;

type
  TForm1 = class(TForm)
    FileCripto1: TEvFileCripto;
    Panel1: TPanel;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  FNormal: string;
  FCripto: string;

implementation

{$R *.DFM}


procedure TForm1.FormCreate(Sender: TObject);
begin
  FNormal := ExtractFilePath(Application.ExeName) + 'Cripto.txt';
  FCripto := ChangeFileExt(FNormal, '.cpt');
  Memo1.Lines.LoadFromFile(FNormal);
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
  FileCripto1.EncriptFile(FNormal, FCripto);
  Memo1.Lines.LoadFromFile(FCripto);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FileCripto1.UncriptFile(FCripto, FNormal);
  Memo1.Lines.LoadFromFile(FNormal);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

end.
