unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, ExtCtrls, EFndFile;

type
  TForm1 = class(TForm)
    FindFile1: TEvFindFile;
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Panel1: TPanel;
    Panel2: TPanel;
    ListBox1: TListBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure FindFile1Found(Sender: TObject; FileName: String);
    procedure Button2Click(Sender: TObject);
    procedure FindFile1SearchDir(Sender: TObject; Directory: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.Button1Click(Sender: TObject);
begin
  ListBox1.Items.Clear;
  FindFile1.FileToSearch := Edit1.Text;
  FindFile1.InitialDir := Edit2.Text;
  FindFile1.Options := [];
  if CheckBox1.Checked then
    FindFile1.Options := FindFile1.Options + [foRecursiveDir];
  if CheckBox2.Checked then
    FindFile1.Options := FindFile1.Options + [foIncludePath];
  if CheckBox3.Checked then
    FindFile1.Options := FindFile1.Options + [foReadOnlyFiles];
  if CheckBox4.Checked then
    FindFile1.Options := FindFile1.Options + [foHiddenFiles];
  if CheckBox5.Checked then
    FindFile1.Options := FindFile1.Options + [foSysFiles];

  Button1.Enabled := False;
  Button2.Enabled := True;

  if FindFile1.Execute then
    ShowMessage('O TEvFindFile terminou a pesquisa.')
  else
    ShowMessage('A pesquisa com o TEvFindFile foi interrompida.');

  Button1.Enabled := True;
  Button2.Enabled := False;
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
  FindFile1.Abort;
end;


procedure TForm1.FindFile1Found(Sender: TObject; FileName: String);
begin
  ListBox1.Items.Add(FileName);
end;


procedure TForm1.FindFile1SearchDir(Sender: TObject; Directory: String);
begin
  Panel2.Caption := Directory;
end;

end.
